# Interface ThrowsTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface ThrowsTree extends BlockTagTree
A tree node for an `@exception` or `@throws` block tag. `@exception` is a synonym for `@throws`.

       @exception class-name description
       @throws class-name description

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns a description of the reasons why the exception may be thrown.
`ReferenceTree`
`getExceptionName()`
Returns the name of the exception being documented.

### Methods declared in interface BlockTagTree

`getTagName`

### Methods declared in interface DocTree

`accept, getKind`

## Method Details

### getExceptionName

ReferenceTree getExceptionName()
Returns the name of the exception being documented.

Returns:
  the name of the exception

### getDescription

List<? extends DocTree> getDescription()
Returns a description of the reasons why the exception may be thrown.

Returns:
  the description